Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class GMFResourceFactory

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl
              org.eclipse.gmf.runtime.emf.core.resources.GMFResourceFactory

All Implemented Interfaces:
  Resource.Factory

public class GMFResourceFactory
extends XMIResourceFactoryImpl

A custom implementation of a resource factory. This factory when registered against some file extensions or protocol schemas will create an GMFResource and assigns it default save a load options.

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.resource.Resource.Factory
`Resource.Factory.Descriptor, Resource.Factory.Registry`

Constructor Summary
`GMFResourceFactory()`

Method Summary
`Resource` `createResource(URI uri)`
`static java.util.Map` `getDefaultLoadOptions()` Get default load options.
`static java.util.Map` `getDefaultSaveOptions()` Get default save options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMFResourceFactory

    public GMFResourceFactory()

Method Detail

### getDefaultLoadOptions

    public static java.util.Map getDefaultLoadOptions()

  Get default load options.

### getDefaultSaveOptions

    public static java.util.Map getDefaultSaveOptions()

  Get default save options.

### createResource

    public Resource createResource(URI uri)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.